#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	OpenGL - Perl module to display 3D data using OpenGL, GLU, GLUT, and GLX
Summary(pl.UTF-8):	OpenGL - moduł Perla przedstawiający dane korzystając z bibliotek OpenGL, GLU, GLUT i GLX
Name:		perl-OpenGL
Version:	0.66
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHM/OpenGL-%{version}.tar.gz
# Source0-md5:	bdfbffb31f03acbfb6d0123ceb159436
Patch0:		%{name}-build.patch
URL:		http://search.cpan.org/dist/OpenGL/
BuildRequires:	OpenGL-devel
BuildRequires:	freeglut-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides access to most of the OpenGL 1.0, 1.1, and 1.2
APIs. Some amount of GLU is supported (I'm not quite sure what version
it works out to), and GLUT should be completely supported up to API
version 3. A small portion of GLX and X11 is supported, as an
alternative to GLUT.

%description -l pl.UTF-8
Ten moduł daje dostęp do większości API OpenGL 1.0, 1.1 i 1.2.
Udostępnia też część GLU (w bliżej nieokreślonej wersji) oraz
powinien udostępniać pełne API GLUT do wersji 3. Jako alternatywa
dla GLUT jest dostępna także niewielka część API GLX i X11.

%prep
%setup -q -n OpenGL-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	interface=FREEGLUT \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README SUPPORTS TODO COPYRIGHT
%{perl_vendorarch}/OpenGL.pm
%dir %{perl_vendorarch}/OpenGL
%{perl_vendorarch}/OpenGL/Config.pm
%dir %{perl_vendorarch}/auto/OpenGL
%{perl_vendorarch}/auto/OpenGL/autosplit.ix
%{perl_vendorarch}/auto/OpenGL/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/OpenGL/*.so
%dir %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*.3pm*
%{_examplesdir}/%{name}-%{version}/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-OpenGL.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> dd64a77
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> ad63e74
- up to 0.66

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> c56a005
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 1c3e3b9
- release 3

* Thu Jul 29 2010 Jan Rękorajski <baggins@pld-linux.org> 89877e3
- rel 2
- package man page

* Thu Jul 29 2010 Jan Rękorajski <baggins@pld-linux.org> 697f48e
- working source url

* Thu Jul 29 2010 Jan Rękorajski <baggins@pld-linux.org> 7e3501a
- updated to 0.63
- requires freeglut-devel explicitly

* Thu Jul 29 2010 Jan Rękorajski <baggins@pld-linux.org> 80a9dbf
- outdated

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 401e311
- release 8

* Wed Dec 24 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 676d84b
- require virtual OpenGL-glut-devel to build (glut-devel or freeglut-devel can be used)
- release 7

* Mon Oct 27 2008 hawk <hawk@pld-linux.org> 6701211
- disable tests (they require DISPLAY), release 6

* Fri Feb 15 2008 Maciej Pijanka <agaran@pld-linux.org> 3dfaf2b
- rel 5.2, now examples go to /usr/src/examples/%{name}-%{version}
- builds and works here (at least tests do job here)
- maybe disable tests by defaults as they require working DISPLAY?

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 27c36f9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5910903
- converted to UTF-8

* Thu Aug 12 2004 radek <radek@pld-linux.org> b3630df
- added -if_it_breaks_comment_it_out.patch, but still doesn't work

* Thu Aug 12 2004 radek <radek@pld-linux.org> 77c715e
- commented out some constants from gl_constants.h

* Fri May 07 2004 ankry <ankry@pld-linux.org> ec2fd89
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> 9839f70
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 943bda2
- cosmetics

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 61da85e
- tests added

